#pragma once

#include <QObject>
#include "WimaPolygon.h"

class WimaVehicleMeasurementPolygon : public WimaPolygon
{
    Q_OBJECT
public:
    WimaVehicleMeasurementPolygon(QObject* parent);
    WimaVehicleMeasurementPolygon(QGCMapPolygon* other, QObject* parent);

    // Overrides from WimaPolygon
    QString         mapVisualQML    (void) const { return "WimaVehicleMeasurementPolygonMapVisual.qml";}
    QString         editorQML       (void) const { return "WimaVehicleMeasurementPolygonEditor.qml";}
};


